<div class="modal-header">
    <h4 class="modal-title">Création d'un modèle</h4>
    <button (click)="modal.dismiss()" class="close" aria-label="Close">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form #modelForm="ngForm" (ngSubmit)="submit(modelForm)">
      <div class="row">
        <div class="col-md-12">
          <div class="form-group">
            <div class="row mb-3">
              <div class="col-lg-4 col-md-6 col-sm-6 col-12 mb-2">
                <label for="name">Nom</label>
                <input id="name" class="form-control" name="name" type="text" minlength="3" required ngModel>
              </div>
              <div class="col-lg-4 col-md-6 col-sm-6 col-12 mb-2">
                <label for="specification">Caractéristiques</label>
                  <select id="specification" name="specification" class="custom-select" required ngModel>
                    <option *ngFor="let spec of specifications;" [ngValue]="spec.id">{{spec.name}}</option>
                  </select>
              </div>
              <div class="col-lg-4 col-md-6 col-sm-6 col-12 mb-2">
                <label for="unit-of-use">Unité de mesure</label>
                  <select id="unitOfUse" name="unitOfUse" class="custom-select" required ngModel>
                    <option *ngFor="let unit of unitsOfUse;" [ngValue]="unit.id">{{unit.name}}</option>
                  </select>
              </div>
              <div class="col-lg-4 col-md-6 col-sm-6 col-12 mb-2">
                <label for="range">Gamme</label>
                  <select id="range" name="range" class="custom-select" required ngModel>
                    <option *ngFor="let range of ranges;" [ngValue]="range.id">{{range.name}}</option>
                  </select>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="white-space-20"></div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Annuler</button>
        <button class="btn btn-info pull-right" type="submit" [disabled]="!modelForm.form.valid">Ajouter</button>
      </div>
    </form>
  </div>
